LoadPalette:
	lda #$3f			; $3f, high byte of where palette lives
	sta PPUADDR
	ldx #$00			; $00, low byte of where palette lives
	stx PPUADDR
LoadPaletteLoop:
	lda PaletteData, x	; load palette color
	sta PPUDATA			; store them to $3f00 through port $2007
	inx					; increment x counter
	cpx #$20			; 16 bytes to load
	bne LoadPaletteLoop	; loop until entire palette is loaded
	rts

LoadNametable:
	lda PPUSTATUS			; read PPU status to reset the high/low latch
	lda #$20
	sta PPUADDR				; write the high byte of $2000 address
	lda #$00
	sta PPUADDR				; write the low byte of $2000 address

	ldx #$00				; start out at 0
	ldy #$00
OutsideLoop:
InsideLoop:
 	lda (pointerLo), y		; load data from address in low byte of pointer
	sta PPUDATA				; write to PPU
	iny						; increment y
	cpy #$00				; did we load 256 tiles?
	bne InsideLoop			; branch otherwise
	inc pointerHi			; low byte went 0 to 256, so high byte needs to be changed now
	inx						; X = X + 1
	cpx #$04				; Compare X to hex $04
	bne OutsideLoop			; branch if 1024 bytes have not been loaded
	rts

LoadSprites:
	ldx #$00
LoadSpritesLoop:
    lda SpriteData, x
    sta $0200, x
    inx
    cpx #$04
    bne LoadSpritesLoop
    rts